#!/bin/bash

set -x;

# First compile Foo.java and Bar.java the sources for our tests classes
javac src/main/resources/Foo.java src/main/resources/Bar.java

# Compile and run the transform logic via Gradle
./gradlew run

# Copy Bar.class we need it in the classpath
cp src/main/resources/Bar.class .
# Run transformed class
java -cp . Foo